Page MenuHomePhabricator

ApiEchoUnreadNotificationPages.php PHP Notice: Undefined index: query
Open, HighPublicPRODUCTION ERROR

Description

Error message
PHP Notice: Undefined index: query
Stack Trace
from /srv/mediawiki/php-1.36.0-wmf.27/extensions/Echo/includes/api/ApiEchoUnreadNotificationPages.php(174)
#0 /srv/mediawiki/php-1.36.0-wmf.27/extensions/Echo/includes/api/ApiEchoUnreadNotificationPages.php(174): MWExceptionHandler::handleError(integer, string, string, integer, array)
#1 /srv/mediawiki/php-1.36.0-wmf.27/extensions/Echo/includes/api/ApiEchoUnreadNotificationPages.php(38): ApiEchoUnreadNotificationPages->getUnreadNotificationPagesFromForeign()
#2 /srv/mediawiki/php-1.36.0-wmf.27/includes/api/ApiQuery.php(269): ApiEchoUnreadNotificationPages->execute()
#3 /srv/mediawiki/php-1.36.0-wmf.27/includes/api/ApiMain.php(1612): ApiQuery->execute()
#4 /srv/mediawiki/php-1.36.0-wmf.27/includes/api/ApiMain.php(592): ApiMain->executeAction()
#5 /srv/mediawiki/php-1.36.0-wmf.27/includes/api/ApiMain.php(563): ApiMain->executeActionWithErrorHandling()
#6 /srv/mediawiki/php-1.36.0-wmf.27/api.php(90): ApiMain->execute()
#7 /srv/mediawiki/php-1.36.0-wmf.27/api.php(45): wfApiMain()
#8 /srv/mediawiki/w/api.php(3): require(string)
#9 {main}
Notes

These started happening on Jan 20, 2021. About 25 per day.

Details

Request ID
YBgL@QpAIDYAAFlVLnsAAACK
Request URL
https://en.wikipedia.org/w/api.php?action=query&format=json&meta=unreadnotificationpages&uselang=en&unpgrouppages=true&unpwikis=*&_=1612188665085

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Majavah triaged this task as Unbreak Now! priority.Feb 1 2021, 9:16 PM

Change 661046 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/Echo@master] Add missing isset() check to ApiEchoUnreadNotificationPages

https://gerrit.wikimedia.org/r/661046

Change 661075 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[mediawiki/extensions/Echo@master] Make sure ApiEchoUnreadNotificationPages does not raise Undefined index

https://gerrit.wikimedia.org/r/661075

Change 661046 merged by jenkins-bot:
[mediawiki/extensions/Echo@master] Add missing isset() check to ApiEchoUnreadNotificationPages

https://gerrit.wikimedia.org/r/661046

Change 661258 had a related patch set uploaded (by Majavah; owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/Echo@wmf/1.36.0-wmf.29] Add missing isset() check to ApiEchoUnreadNotificationPages

https://gerrit.wikimedia.org/r/661258

Change 661258 merged by jenkins-bot:
[mediawiki/extensions/Echo@wmf/1.36.0-wmf.29] Add missing isset() check to ApiEchoUnreadNotificationPages

https://gerrit.wikimedia.org/r/661258

Mentioned in SAL (#wikimedia-operations) [2021-02-03T10:04:01Z] <hashar@deploy1001> Synchronized php-1.36.0-wmf.29/extensions/Echo/includes/api/ApiEchoUnreadNotificationPages.php: Add missing isset() check to ApiEchoUnreadNotificationPages - T273479 (duration: 01m 14s)

https://gerrit.wikimedia.org/r/c/mediawiki/extensions/Echo/+/661046 mutes the errors, got backported and I have deployed it. This task is thus no more a blocker.

https://gerrit.wikimedia.org/r/c/mediawiki/extensions/Echo/+/661075 would add some warning log whenever an erroneous response is received from the foreign wikis.

Change 661075 merged by jenkins-bot:
[mediawiki/extensions/Echo@master] Log ApiEchoUnreadNotificationPages bad responses

https://gerrit.wikimedia.org/r/661075

thcipriani lowered the priority of this task from Unbreak Now! to High.Wed, Feb 3, 2:57 PM
thcipriani added a subscriber: thcipriani.

https://gerrit.wikimedia.org/r/c/mediawiki/extensions/Echo/+/661046 mutes the errors, got backported and I have deployed it. This task is thus no more a blocker.

https://gerrit.wikimedia.org/r/c/mediawiki/extensions/Echo/+/661075 would add some warning log whenever an erroneous response is received from the foreign wikis.

Lowering priority to High since this is no longer a blocker. That probably needs further adjustment.